package com.palidinodh.osrsscript.player.mysterybox;

import java.util.List;
import com.palidinodh.osrscore.io.cache.id.ItemId;
import com.palidinodh.osrscore.model.item.RandomItem;

class ItemTables {
  public static final List<RandomItem> _3RD_AGE = RandomItem.buildList(
      new RandomItem(ItemId._3RD_AGE_RANGE_TOP), new RandomItem(ItemId._3RD_AGE_RANGE_LEGS),
      new RandomItem(ItemId._3RD_AGE_RANGE_COIF), new RandomItem(ItemId._3RD_AGE_VAMBRACES),
      new RandomItem(ItemId._3RD_AGE_ROBE_TOP), new RandomItem(ItemId._3RD_AGE_ROBE),
      new RandomItem(ItemId._3RD_AGE_MAGE_HAT), new RandomItem(ItemId._3RD_AGE_AMULET),
      new RandomItem(ItemId._3RD_AGE_PLATELEGS), new RandomItem(ItemId._3RD_AGE_PLATEBODY),
      new RandomItem(ItemId._3RD_AGE_PLATESKIRT), new RandomItem(ItemId._3RD_AGE_FULL_HELMET),
      new RandomItem(ItemId._3RD_AGE_KITESHIELD), new RandomItem(ItemId._3RD_AGE_WAND),
      new RandomItem(ItemId._3RD_AGE_BOW), new RandomItem(ItemId._3RD_AGE_LONGSWORD),
      new RandomItem(ItemId._3RD_AGE_CLOAK), new RandomItem(ItemId._3RD_AGE_AXE),
      new RandomItem(ItemId._3RD_AGE_PICKAXE), new RandomItem(ItemId._3RD_AGE_DRUIDIC_ROBE_TOP),
      new RandomItem(ItemId._3RD_AGE_DRUIDIC_ROBE_BOTTOMS),
      new RandomItem(ItemId._3RD_AGE_DRUIDIC_CLOAK), new RandomItem(ItemId._3RD_AGE_DRUIDIC_STAFF),
      new RandomItem(ItemId.RING_OF_3RD_AGE));

  public static final List<RandomItem> VERY_RARE = RandomItem.buildList(
      new RandomItem(ItemId.VESTAS_LONGSWORD), new RandomItem(ItemId.STATIUSS_WARHAMMER),
      new RandomItem(ItemId.VESTAS_SPEAR), new RandomItem(ItemId.MORRIGANS_JAVELIN, 100),
      new RandomItem(ItemId.MORRIGANS_THROWING_AXE, 100), new RandomItem(ItemId.ZURIELS_STAFF),
      // new RandomItem(ItemId.SCYTHE_OF_VITUR_UNCHARGED),
      // new RandomItem(ItemId.GHRAZI_RAPIER),
      // new RandomItem(ItemId.SANGUINESTI_STAFF_UNCHARGED),
      new RandomItem(ItemId.TWISTED_BOW), new RandomItem(ItemId.ELYSIAN_SPIRIT_SHIELD),
      new RandomItem(ItemId.ARCANE_SPIRIT_SHIELD), new RandomItem(ItemId._3RD_AGE_RANGE_TOP),
      new RandomItem(ItemId._3RD_AGE_RANGE_LEGS), new RandomItem(ItemId._3RD_AGE_RANGE_COIF),
      new RandomItem(ItemId._3RD_AGE_VAMBRACES), new RandomItem(ItemId._3RD_AGE_ROBE_TOP),
      new RandomItem(ItemId._3RD_AGE_ROBE), new RandomItem(ItemId._3RD_AGE_MAGE_HAT),
      new RandomItem(ItemId._3RD_AGE_AMULET), new RandomItem(ItemId._3RD_AGE_PLATELEGS),
      new RandomItem(ItemId._3RD_AGE_PLATEBODY), new RandomItem(ItemId._3RD_AGE_PLATESKIRT),
      new RandomItem(ItemId._3RD_AGE_FULL_HELMET), new RandomItem(ItemId._3RD_AGE_KITESHIELD),
      new RandomItem(ItemId._3RD_AGE_WAND), new RandomItem(ItemId._3RD_AGE_BOW),
      new RandomItem(ItemId._3RD_AGE_LONGSWORD), new RandomItem(ItemId._3RD_AGE_CLOAK),
      new RandomItem(ItemId._3RD_AGE_AXE), new RandomItem(ItemId._3RD_AGE_PICKAXE),
      new RandomItem(ItemId._3RD_AGE_DRUIDIC_ROBE_TOP),
      new RandomItem(ItemId._3RD_AGE_DRUIDIC_ROBE_BOTTOMS),
      new RandomItem(ItemId._3RD_AGE_DRUIDIC_CLOAK), new RandomItem(ItemId._3RD_AGE_DRUIDIC_STAFF),
      new RandomItem(ItemId.RING_OF_3RD_AGE), new RandomItem(ItemId._3RD_AGE_PLATESKIRT),
      new RandomItem(ItemId.GIANT_PRESENT), new RandomItem(ItemId.SACK_OF_PRESENTS),
      new RandomItem(ItemId.SANTA_HAT), new RandomItem(ItemId.PURPLE_PARTYHAT),
      new RandomItem(ItemId.YELLOW_PARTYHAT), new RandomItem(ItemId.GREEN_PARTYHAT),
      new RandomItem(ItemId.RED_PARTYHAT), new RandomItem(ItemId.WHITE_PARTYHAT),
      new RandomItem(ItemId.BLUE_PARTYHAT), new RandomItem(ItemId.BLACK_PARTYHAT),
      new RandomItem(ItemId.BLACK_HWEEN_MASK), new RandomItem(ItemId.BLACK_SANTA_HAT),
      new RandomItem(ItemId.INVERTED_SANTA_HAT), new RandomItem(ItemId.RAINBOW_PARTYHAT),
      new RandomItem(ItemId.COINS, 100_000_000));

  public static final List<RandomItem> RARE = RandomItem.buildList(
      // new RandomItem(ItemId.AVERNIC_DEFENDER_HILT).halfWeight(),
      new RandomItem(ItemId.SPECTRAL_SPIRIT_SHIELD).halfWeight(),
      new RandomItem(ItemId.ANCESTRAL_ROBE_TOP).halfWeight(),
      new RandomItem(ItemId.ANCESTRAL_ROBE_BOTTOM).halfWeight(),
      new RandomItem(ItemId.DRAGON_CLAWS).halfWeight(),
      new RandomItem(ItemId.KODAI_WAND).halfWeight().halfWeight(),
      new RandomItem(ItemId.DRAGON_HUNTER_CROSSBOW).halfWeight(),
      new RandomItem(ItemId.DRAGON_WARHAMMER).halfWeight(),
      new RandomItem(ItemId.DRAGON_HUNTER_LANCE).halfWeight(),
      // new RandomItem(ItemId.JUSTICIAR_FACEGUARD).halfWeight(),
      // new RandomItem(ItemId.JUSTICIAR_CHESTGUARD).halfWeight(),
      // new RandomItem(ItemId.JUSTICIAR_LEGGUARDS).halfWeight(),
      new RandomItem(ItemId.ANCESTRAL_HAT).halfWeight(), new RandomItem(ItemId.SARADOMIN_GODSWORD),
      new RandomItem(ItemId.ARMADYL_CROSSBOW), new RandomItem(ItemId.BANDOS_TASSETS),
      new RandomItem(ItemId.DRAGON_KITESHIELD), new RandomItem(ItemId.DRAGON_FULL_HELM),
      new RandomItem(ItemId.DRAGONFIRE_WARD_22003), new RandomItem(ItemId.PRIMORDIAL_BOOTS),
      new RandomItem(ItemId.PEGASIAN_BOOTS), new RandomItem(ItemId.RANGER_BOOTS),
      new RandomItem(ItemId.DEXTEROUS_PRAYER_SCROLL), new RandomItem(ItemId.ABYSSAL_BLUDGEON),
      new RandomItem(ItemId.ARMADYL_CHESTPLATE), new RandomItem(ItemId.ARMADYL_CHAINSKIRT),
      new RandomItem(ItemId.CRAWS_BOW_U), new RandomItem(ItemId.ARMADYL_GODSWORD),
      new RandomItem(ItemId.BANDOS_GODSWORD), new RandomItem(ItemId.BANDOS_CHESTPLATE),
      new RandomItem(ItemId.ZAMORAKIAN_SPEAR), new RandomItem(ItemId.RING_OF_THE_GODS),
      new RandomItem(ItemId.ELDER_MAUL), new RandomItem(ItemId.IMBUED_HEART),
      new RandomItem(ItemId.TORMENTED_BRACELET), new RandomItem(ItemId.NECKLACE_OF_ANGUISH),
      new RandomItem(ItemId.RING_OF_SUFFERING), new RandomItem(ItemId.AMULET_OF_TORTURE),
      new RandomItem(ItemId.ANCIENT_WYVERN_SHIELD_21634), new RandomItem(ItemId.HEAVY_BALLISTA),
      new RandomItem(ItemId.BASILISK_JAW), new RandomItem(ItemId.BLADE_OF_SAELDOR_INACTIVE),
      new RandomItem(ItemId.COINS, 30_000_000));

  public static final List<RandomItem> UNCOMMON =
      RandomItem.buildList(new RandomItem(ItemId.DINHS_BULWARK).halfWeight(),
          new RandomItem(ItemId.ETERNAL_GEM), new RandomItem(ItemId.INFINITY_HAT),
          new RandomItem(ItemId.BRIMSTONE_RING), new RandomItem(ItemId.HYDRA_LEATHER),
          new RandomItem(ItemId.STAFF_OF_LIGHT), new RandomItem(ItemId.STAFF_OF_THE_DEAD),
          new RandomItem(ItemId.ETERNAL_BOOTS), new RandomItem(ItemId.TOXIC_BLOWPIPE_EMPTY),
          new RandomItem(ItemId.MAGIC_FANG), new RandomItem(ItemId.SERPENTINE_HELM_UNCHARGED),
          new RandomItem(ItemId.ARMADYL_HELMET), new RandomItem(ItemId.BERSERKER_RING),
          new RandomItem(ItemId.ARCHERS_RING), new RandomItem(ItemId.DRAGON_PICKAXE),
          new RandomItem(ItemId.GUARDIAN_BOOTS), new RandomItem(ItemId.MALEDICTION_WARD),
          new RandomItem(ItemId.INFINITY_TOP), new RandomItem(ItemId.INFINITY_BOTTOMS),
          new RandomItem(ItemId.MASTER_WAND), new RandomItem(ItemId.MAGES_BOOK),
          new RandomItem(ItemId.SARADOMINS_TEAR), new RandomItem(ItemId.DRAGON_CROSSBOW),
          new RandomItem(ItemId.ZAMORAK_GODSWORD), new RandomItem(ItemId.ARCANE_PRAYER_SCROLL),
          new RandomItem(ItemId.VIGGORAS_CHAINMACE_U), new RandomItem(ItemId.TWISTED_BUCKLER),
          new RandomItem(ItemId.DRAGON_PLATEBODY), new RandomItem(ItemId.DRAGONFIRE_SHIELD_11284),
          new RandomItem(ItemId.ABYSSAL_DAGGER_P_PLUS_PLUS), new RandomItem(ItemId.LIGHT_BALLISTA),
          new RandomItem(ItemId.COINS, 10_000_000));

  public static final List<RandomItem> COMMON =
      RandomItem.buildList(new RandomItem(ItemId.DHAROKS_ARMOUR_SET),
          new RandomItem(ItemId.AHRIMS_ARMOUR_SET), new RandomItem(ItemId.GUTHANS_ARMOUR_SET),
          new RandomItem(ItemId.VERACS_ARMOUR_SET), new RandomItem(ItemId.TORAGS_ARMOUR_SET),
          new RandomItem(ItemId.KARILS_ARMOUR_SET), new RandomItem(ItemId.OCCULT_NECKLACE),
          new RandomItem(ItemId.DARK_BOW), new RandomItem(ItemId.UNCHARGED_TRIDENT),
          new RandomItem(ItemId.KRAKEN_TENTACLE), new RandomItem(ItemId.GRANITE_BOOTS),
          new RandomItem(ItemId.BLACK_MASK_10), new RandomItem(ItemId.DRAGON_THROWNAXE, 500),
          new RandomItem(ItemId.DRAGON_KNIFE_P_PLUS_PLUS, 500), new RandomItem(ItemId.CRYSTAL_SEED),
          new RandomItem(ItemId.BERSERKER_NECKLACE), new RandomItem(ItemId.AMULET_OF_FURY),
          new RandomItem(ItemId.REGEN_BRACELET), new RandomItem(ItemId.RING_OF_STONE),
          new RandomItem(ItemId.INFINITY_BOOTS), new RandomItem(ItemId.INFINITY_GLOVES),
          new RandomItem(ItemId.AMULET_OF_AVARICE), new RandomItem(ItemId.SMOULDERING_STONE),
          new RandomItem(ItemId.DRAGON_CHAINBODY), new RandomItem(ItemId.DRAGON_BOOTS),
          new RandomItem(ItemId.DRAGON_PLATELEGS), new RandomItem(ItemId.DRAGON_PLATESKIRT),
          new RandomItem(ItemId.DEVOUT_BOOTS), new RandomItem(ItemId.BOOTS_OF_BRIMSTONE),
          new RandomItem(ItemId.HOLY_SANDALS), new RandomItem(ItemId.WIZARD_BOOTS),
          new RandomItem(ItemId.ROBIN_HOOD_HAT), new RandomItem(ItemId.ODIUM_WARD),
          new RandomItem(ItemId.THAMMARONS_SCEPTRE_U),
          new RandomItem(ItemId.AMULET_OF_THE_DAMNED_FULL), new RandomItem(ItemId.DRAGON_DART, 500),
          new RandomItem(ItemId.DRAGON_JAVELIN_P_PLUS_PLUS, 500),
          new RandomItem(ItemId.OPAL_DRAGON_BOLTS_E, 500),
          new RandomItem(ItemId.DIAMOND_DRAGON_BOLTS_E, 500),
          new RandomItem(ItemId.DRAGONSTONE_DRAGON_BOLTS_E, 500),
          new RandomItem(ItemId.ONYX_DRAGON_BOLTS_E, 500), new RandomItem(ItemId.COINS, 5_000_000));

  public static final List<RandomItem> BARROWS_SETS = RandomItem.buildList(
      new RandomItem(ItemId.GUTHANS_ARMOUR_SET), new RandomItem(ItemId.VERACS_ARMOUR_SET),
      new RandomItem(ItemId.DHAROKS_ARMOUR_SET), new RandomItem(ItemId.TORAGS_ARMOUR_SET),
      new RandomItem(ItemId.AHRIMS_ARMOUR_SET), new RandomItem(ItemId.KARILS_ARMOUR_SET));

  public static final List<RandomItem> BARROWS_PIECES =
      RandomItem.buildList(new RandomItem(ItemId.AHRIMS_HOOD), new RandomItem(ItemId.AHRIMS_STAFF),
          new RandomItem(ItemId.AHRIMS_ROBETOP), new RandomItem(ItemId.AHRIMS_ROBESKIRT),
          new RandomItem(ItemId.DHAROKS_HELM), new RandomItem(ItemId.DHAROKS_GREATAXE),
          new RandomItem(ItemId.DHAROKS_PLATEBODY), new RandomItem(ItemId.DHAROKS_PLATELEGS),
          new RandomItem(ItemId.GUTHANS_HELM), new RandomItem(ItemId.GUTHANS_WARSPEAR),
          new RandomItem(ItemId.GUTHANS_PLATEBODY), new RandomItem(ItemId.GUTHANS_CHAINSKIRT),
          new RandomItem(ItemId.KARILS_COIF), new RandomItem(ItemId.KARILS_CROSSBOW),
          new RandomItem(ItemId.KARILS_LEATHERTOP), new RandomItem(ItemId.KARILS_LEATHERSKIRT),
          new RandomItem(ItemId.TORAGS_HELM), new RandomItem(ItemId.TORAGS_HAMMERS),
          new RandomItem(ItemId.TORAGS_PLATEBODY), new RandomItem(ItemId.TORAGS_PLATELEGS),
          new RandomItem(ItemId.VERACS_HELM), new RandomItem(ItemId.VERACS_FLAIL),
          new RandomItem(ItemId.VERACS_BRASSARD), new RandomItem(ItemId.VERACS_PLATESKIRT));

  public static final List<RandomItem> SUPPLIES =
      RandomItem.buildList(new RandomItem(ItemId.DARK_CRAB_NOTED, 50, 100),
          new RandomItem(ItemId.ANGLERFISH_NOTED, 10, 20),
          new RandomItem(ItemId.COOKED_KARAMBWAN_NOTED, 10, 20),
          new RandomItem(ItemId.SUPER_COMBAT_POTION_4_NOTED, 10, 20),
          new RandomItem(ItemId.BASTION_POTION_4_NOTED, 10, 20),
          new RandomItem(ItemId.BATTLEMAGE_POTION_4_NOTED, 10, 20),
          new RandomItem(ItemId.STAMINA_POTION_4_NOTED, 10, 20),
          new RandomItem(ItemId.SANFEW_SERUM_4_NOTED, 10, 20),
          new RandomItem(ItemId.ANTI_VENOM_PLUS_4_NOTED, 10, 20),
          new RandomItem(ItemId.SUPER_ANTIFIRE_POTION_4_NOTED, 10, 20));

  public static final List<RandomItem> PETS = RandomItem.buildList(new RandomItem(ItemId.OLMLET),
      new RandomItem(ItemId.LIL_ZIK), new RandomItem(ItemId.TZREK_JAD),
      new RandomItem(ItemId.JAL_NIB_REK), new RandomItem(ItemId.TZREK_ZUK),
      new RandomItem(ItemId.PET_PENANCE_QUEEN), new RandomItem(ItemId.BLOODHOUND),
      new RandomItem(ItemId.CHOMPY_CHICK), new RandomItem(ItemId.HELL_CAT),
      new RandomItem(ItemId.WILY_HELLCAT), new RandomItem(ItemId.TOY_CAT),
      new RandomItem(ItemId.PET_CHAOS_ELEMENTAL), new RandomItem(ItemId.PET_DAGANNOTH_SUPREME),
      new RandomItem(ItemId.PET_DAGANNOTH_PRIME), new RandomItem(ItemId.PET_DAGANNOTH_REX),
      new RandomItem(ItemId.BABY_MOLE), new RandomItem(ItemId.KALPHITE_PRINCESS),
      new RandomItem(ItemId.PET_SMOKE_DEVIL), new RandomItem(ItemId.PET_KREEARRA),
      new RandomItem(ItemId.PET_GENERAL_GRAARDOR), new RandomItem(ItemId.PET_ZILYANA),
      new RandomItem(ItemId.PET_KRIL_TSUTSAROTH), new RandomItem(ItemId.PRINCE_BLACK_DRAGON),
      new RandomItem(ItemId.PET_KRAKEN), new RandomItem(ItemId.PET_DARK_CORE),
      new RandomItem(ItemId.PET_SNAKELING), new RandomItem(ItemId.VENENATIS_SPIDERLING),
      new RandomItem(ItemId.CALLISTO_CUB), new RandomItem(ItemId.VETION_JR),
      new RandomItem(ItemId.SCORPIAS_OFFSPRING), new RandomItem(ItemId.HELLPUPPY),
      new RandomItem(ItemId.ABYSSAL_ORPHAN), new RandomItem(ItemId.SKOTOS),
      new RandomItem(ItemId.NOON), new RandomItem(ItemId.MIDNIGHT), new RandomItem(ItemId.VORKI),
      new RandomItem(ItemId.IKKLE_HYDRA), new RandomItem(ItemId.HERON),
      new RandomItem(ItemId.GIANT_SQUIRREL), new RandomItem(ItemId.ROCKY),
      new RandomItem(ItemId.BABY_CHINCHOMPA), new RandomItem(ItemId.RIFT_GUARDIAN),
      new RandomItem(ItemId.PHOENIX), new RandomItem(ItemId.BEAVER), new RandomItem(ItemId.HERBI),
      new RandomItem(ItemId.TANGLEROOT));
}
